Asset Get all assets for a documentation
GET
/control-plane/api/v1/v1/documentation/{organization_id}/{documentation_id}/asset

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


Responses

200
OK

Response Fields:

  • assets (object[])

  • total (integer)

Example:

{
  "assets": [
    {
      "alt": "string",
      "created_at": "string",
      "documentation_id": "string",
      "height": 0,
      "id": "string",
      "mime_type": "string",
      "name": "string",
      "original_name": "string",
      "size": 0,
      "type": "image"
    }
  ],
  "total": 0
}
400
Bad Request

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}